# $Revision: 1.67 $, $Date: 2006/01/08 20:54:49 $
Summary:	GNU smalltalk
Summary(pl):	GNU smalltalk
Name:		smalltalk
Version:	2.2
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	ftp://ftp.gnu.org/pub/gnu/smalltalk/%{name}-%{version}.tar.gz
# Source0-md5:	f092bb42f6cf52b429dba8640f8bf810
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-info.patch
Patch1:		%{name}-PACKAGE.patch
Patch2:		%{name}-nolibs.patch
Patch3:		%{name}-proc.patch
Patch4:		%{name}-amd64.patch
Patch5:		%{name}-nostatic.patch
Icon:		smalltalk.xpm
URL:		http://www.gnu.org/software/smalltalk/
BuildRequires:	atk-devel >= 1.0.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gawk
BuildRequires:	gdbm-devel
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pango-devel >= 1:1.0.0
BuildRequires:	pkgconfig
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	texinfo
BuildRequires:	tk-devel >= 8.4
#BuildRequires:	xemacs
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Smalltalk is a Free (or Open Source) implementation that closely
follows the Smalltalk-80 language as described in the book
Smalltalk-80: the Language and its Implementation by Adele Goldberg
and David Robson. GNUSmalltalk runs on most versions of Unix or Unix
like systems (GNU/Linux, FreeBSD, etc...). There is even a version for
commercial operating systems like MS-NT.

%description -l pl
GNU Smalltalk jest Woln (lub Open Source) implementacj tak blisk
jzykowi Smalltalk-80 jak to jest opisane w ksice Smalltalk-80: the
Language and its Implementation napisanej przez Adele Goldberg oraz
David Robson. GNUSmalltalk dziaa na wikszoci wersji Unix'w lub
systemw uniksopodobnych (GNU/Linux, FreeBSD, etc...). Jest nawet
wersja dla systemw komercyjnych, takich jak M$-NT.

%package devel
Summary:	GNU SmallTalk header files
Summary(pl):	Pliki nagwkowe dla GNU SmallTalka
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The GNU SmallTalk header files.

%description devel -l pl
Pliki nagwkowe dla GNU SmallTalka.

%package static
Summary:	Static libraries for GNU Smalltalk
Summary(pl):	Biblioteki statyczne dla GNU Smalltalka
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
# to be moved to -devel if shared libgst exists
Requires:	gmp-devel
Requires:	readline-devel

%description static
The GNU SmallTalk static libraries.

%description static -l pl
Biblioteki statyczne dla GNU SmallTalka.

%package tk
Summary:	blox-tk module for GNU Smalltalk
Summary(pl):	Modu blox-tk dla GNU Smalltalka
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description tk
blox-tk module for GNU Smalltalk.

%description tk -l pl
Modu blox-tk dla GNU Smalltalka.

%package gdbm
Summary:	GDBM module for GNU Smalltalk
Summary(pl):	Modu GDBM dla GNU Smalltalka
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gdbm
GDBM module for GNU Smalltalk.

%description gdbm -l pl
Modu GDBM dla GNU Smalltalka.

%package gtk
Summary:	GTK+ module for GNU Smalltalk
Summary(pl):	Modu GTK+ dla GNU Smalltalka
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gtk
GTK+ module for GNU Smalltalk.

%description gtk -l pl
Modu GTK+ dla GNU Smalltalka.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 
%patch3 -p1 
#%patch4 -p1  not needed?
%patch5 -p1 

rm -f config/libtool.m4

%build
cd libffi
%{__aclocal} -I ../config
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../sigsegv
%{__aclocal} -I ../config
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../snprintfv
%{__aclocal} -I ../config
%{__autoconf}
%{__autoheader}
# intentionally no automake here
cd ..
%{__libtoolize}
%{__aclocal} -I snprintfv -I config
%{__autoconf}
%{__automake}
%configure \
	AWK=gawk

# gtk things are generated improperly when some locale are set
%{__make} \
	LC_ALL=C

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf ../../bin/gst $RPM_BUILD_ROOT%{_datadir}/gnu-smalltalk/gst

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

# no static modules (*.la used by ltdl)
rm -f $RPM_BUILD_ROOT%{_libdir}/gnu-smalltalk/*.a
# doesn't belong here
rm -rf $RPM_BUILD_ROOT{%{_aclocaldir}/snprintfv.m4,%{_includedir}/snprintfv}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%attr(755,root,root) %{_bindir}/gst
%attr(755,root,root) %{_bindir}/gst-load
%attr(755,root,root) %{_bindir}/gst-reload
%attr(755,root,root) %{_bindir}/gst-sunit
%attr(755,root,root) %{_libdir}/libgst.so.*.*.*
%dir %{_libdir}/gnu-smalltalk
%{_libdir}/gnu-smalltalk/libc.la
%attr(755,root,root) %{_libdir}/gnu-smalltalk/i18n*.so
%{_libdir}/gnu-smalltalk/i18n.la
%attr(755,root,root) %{_libdir}/gnu-smalltalk/md5*.so
%{_libdir}/gnu-smalltalk/md5.la
%attr(755,root,root) %{_libdir}/gnu-smalltalk/regex*.so
%{_libdir}/gnu-smalltalk/regex.la
%attr(755,root,root) %{_libdir}/gnu-smalltalk/tcp*.so
%{_libdir}/gnu-smalltalk/tcp.la
%{_datadir}/gnu-smalltalk
%{_infodir}/gst*
%{_mandir}/man1/gst.1*
%{_desktopdir}/*
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%attr (755,root,root) %{_bindir}/gst-config
%attr (755,root,root) %{_bindir}/gst-package
%attr(755,root,root) %{_libdir}/libgst.so
%{_libdir}/libgst.la
%{_includedir}/*.h
%{_aclocaldir}/gst.m4
%{_pkgconfigdir}/gnu-smalltalk.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgst.a

%files tk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnu-smalltalk/blox-tk*.so
%{_libdir}/gnu-smalltalk/blox-tk.la

%files gdbm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnu-smalltalk/gdbm*.so
%{_libdir}/gnu-smalltalk/gdbm.la

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnu-smalltalk/gst-gtk*.so
%{_libdir}/gnu-smalltalk/gst-gtk.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smalltalk.spec,v $
Revision 1.67  2006/01/08 20:54:49  qboosh
- no complaints? so release 1 (more ports than 2.1.x)

Revision 1.66  2005/12/04 11:53:31  qboosh
- updated to 2.2, updated PACKAGE patch, added nostatic patch

Revision 1.65  2005/09/17 11:57:46  arekm
- new readline, 5.0

Revision 1.64  2005/06/26 01:30:24  undefine
- up to 2.1.11

Revision 1.63  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.62  2004/12/20 18:58:09  qboosh
- BR: texinfo

Revision 1.61  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.60  2004/10/29 14:34:58  paladine
- pl fixes

Revision 1.59  2004/10/29 14:13:47  paladine
- unifications

Revision 1.58  2004/10/28 09:58:33  paladine
- "GTK+" unification (hope thats all)

Revision 1.57  2004/08/19 01:18:29  ankry
- rel. 3 for rebuild

Revision 1.56  2004/08/17 12:12:41  ankry
- added pango epoch to R:/BR:

Revision 1.55  2004/08/08 03:25:07  havner
- rel 2

Revision 1.54  2004/07/16 22:11:58  qboosh
- however, this version won't work correctly on alpha and amd64

Revision 1.53  2004/07/16 21:59:40  qboosh
- added alloc patch (fix crash on 64-bit archs with 4k page)
- added amd64 patch (fix amd64 support in libsigsegv)

Revision 1.52  2004/07/16 10:24:57  qboosh
- added proc patch

Revision 1.51  2004/07/15 20:14:51  qboosh
- updated to 2.1.8 (bugfix release), updated PACKAGE patch
- enums patch replaced by LC_ALL=C
- double floats alignment issue on sparc should be fixed now
- added aligned patch to kill unaligned traps on alpha (in SEGV handler)

Revision 1.50  2004/07/15 12:36:05  qboosh
- BR: libltdl-devel

Revision 1.49  2004/07/04 21:13:22  havner
- applnk -> vfolders

Revision 1.48  2003/12/13 18:11:14  qboosh
- workaround sparc problem, release 2

Revision 1.47  2003/12/13 16:17:41  qboosh
- rebuild whole ac/am/lt first to avoid configure reruns

Revision 1.46  2003/12/13 15:13:52  qboosh
- readded (updated) info patch, added nolibs patch
- separated modules with additional deps (now main doesn't require X)
- release 1.1 (needs sparc fixes)

Revision 1.45  2003/12/13 11:55:59  qboosh
- missing dir, BR fixes

Revision 1.44  2003/12/13 00:41:49  speedy
- up to 2.1.5

Revision 1.43  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.42  2003/06/20 11:53:47  ankry
- removed bogus changelog
- 2.0.11, untested

Revision 1.40  2003/06/20 10:21:57  ankry
- typo

Revision 1.39  2003/06/20 10:16:59  ankry
- rel 1, added md5

Revision 1.38  2003/05/25 06:26:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.36  2002/10/31 21:38:18  filon
- udpated to 2.0.6
- updated PACKAGE and info patches, STBR

Revision 1.35  2002/10/08 13:16:30  qboosh
- BR: autoconf,automake; new %%doc

Revision 1.34  2002/05/21 23:14:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.32  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.31  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/06 03:23:08  kloczek
- updated to 1.95.10 (bugfix releae).

Revision 1.29  2002/02/01 14:55:16  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.28  2002/01/30 22:32:55  misiek
- don't include dir.gz; release 2

Revision 1.27  2002/01/21 13:36:18  kura
- updated to 1.95.9
- added PACKAGE.patch
- added `autoconf` and `automake -a -c`

Revision 1.26  2002/01/18 02:14:56  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/09/29 22:16:24  blues
- release 3
- configure2_13 used
- some translations

Revision 1.24  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.22  2001/04/13 19:28:03  wiget
rebuild with readline 4.2 and allow building without installed smalltalk

Revision 1.21  2001/02/07 18:21:47  kloczek
- updated to 1.95.1,
- als spec adapterized and updated %files lists.

Revision 1.20  2000/11/12 20:11:55  kloczek
- modifications for using neew rpm automation.

Revision 1.19  2000/07/13 23:22:32  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.18  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.17  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.15  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.14  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.12  2000/03/23 12:31:27  kloczek
- release 2,
- rebuild against readline 4.1.

Revision 1.11  2000/02/22 16:57:18  kloczek
- added smalltalk menu icon file (in png format).

Revision 1.10  2000/02/22 16:45:11  kloczek
- fix in applnk dir name.

Revision 1.9  2000/02/22 16:32:48  kloczek
- fixed conflict between Icon file and Source2,
- desktop file moved to %%{_applnkdir}/Development.

Revision 1.8  2000/02/20 16:09:40  zagrodzki
- temporarily moved emacs macros to %doc

Revision 1.7  2000/02/19 22:45:56  zagrodzki
- added .xpm icon
- added .desktop file
- new package (smalltalk-emacs)
- changed path from %{_datadir}/smalltalk to %{_datadir}/gnu-smalltalk

Revision 1.6  2000/02/19 11:13:47  kloczek
- added missing requires rules for devel and static.

Revision 1.5  2000/02/19 11:12:12  kloczek
- updated to 1.7,
- updated Source url,
- spec adapterized.

Revision 1.4  1999/11/19 03:13:26  kloczek
- release 5,
- build against ncurses 5.0.

Revision 1.3  1999/10/17 21:35:05  kloczek
- fixed %%{_datadir}/smalltalk/gst sysmlink.

Revision 1.2  1999/10/17 20:57:43  kloczek
- added info patch with fix smalltak info index entry,
- removed from %doc texi documentation,
- cosmetics.

Revision 1.1  1999/10/15 09:51:18  zagrodzki
- based on RH smalltalk-1.1.5 spec file

Revision 1.00  1999/10/13 17:42:00  zagrodzki
- initial rpm release
- few bugfixes in Makefiles
